require "ISFixAction"

ZXBFixAction = ISFixAction:derive("ZXBFixAction");

function ZXBFixAction:perform()
	self.item:getContainer():setDrawDirty(true);
    self.item:setJobDelta(0.0);
    --Fix
    if ZXBconfig.debug then
    	print("Fixing: "..self.item:getType());
    end
    local originalWeapon = self.item:getModData().original
    local originalItem = InventoryItemFactory.CreateItem(originalWeapon);
    originalItem:getModData().loadedAmmo = self.item:getModData().loadedAmmo;
    local reloadable = ReloadUtil:getReloadableWeapon(originalItem, self.character);
    reloadable.currentCapacity = self.item:getModData().currentCapacity;
    reloadable:syncReloadableToItem(originalItem);
     if ZXBconfig.debug then
        print("Setting capacity: "..self.item:getModData().currentCapacity.." and Ammotype"..self.item:getModData().loadedAmmo );
    end
    local inv = self.character:getInventory();
    inv:Remove(self.item);
    inv:AddItem(originalItem);
    --Repair kit handling
    local repairKit = inv:FindAndReturn(self.fixer:getFixerName());
    local remainingDelta = repairKit:getUsedDelta();
    if remainingDelta > 0.25 then
       repairKit:setUsedDelta( remainingDelta - 0.2);
    else
        inv:Remove(repairKit);
    end
    ISBaseTimedAction.perform(self);  

end

